Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_classext_struct Struct Reference

`#include <internal.h>`

## Data Fields
struct st_table * | iv_index_tbl
struct st_table * | iv_tbl
struct st_table * | const_tbl
rb_subclass_entry_t * | subclasses
rb_subclass_entry_t ** | parent_subclasses
rb_subclass_entry_t ** | module_subclasses
| In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included. More...
rb_serial_t | class_serial
VALUE | origin
VALUE | refined_class
rb_alloc_func_t | allocator

## Detailed Description

Definition at line 264 of file internal.h.

## Field Documentation

rb_alloc_func_t rb_classext_struct::allocator

Definition at line 279 of file internal.h.

rb_serial_t rb_classext_struct::class_serial

Definition at line 276 of file internal.h.

struct st_table* rb_classext_struct::const_tbl

Definition at line 267 of file internal.h.

struct st_table* rb_classext_struct::iv_index_tbl

Definition at line 265 of file internal.h.

struct st_table* rb_classext_struct::iv_tbl

Definition at line 266 of file internal.h.

rb_subclass_entry_t** rb_classext_struct::module_subclasses

In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included.

Hopefully that makes sense.

Definition at line 275 of file internal.h.

VALUE rb_classext_struct::origin

Definition at line 277 of file internal.h.

rb_subclass_entry_t** rb_classext_struct::parent_subclasses

Definition at line 269 of file internal.h.

VALUE rb_classext_struct::refined_class

Definition at line 278 of file internal.h.

rb_subclass_entry_t* rb_classext_struct::subclasses

Definition at line 268 of file internal.h.

The documentation for this struct was generated from the following file:

- internal.h